﻿$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = 'https://downloads.graylog.org/releases/graylog-collector-sidecar/1.3.0-beta.6/graylog_sidecar_installer_1.3.0-1.beta.6.exe'
  softwareName  = 'graylog-sidecar*'
  checksum      = 'f16555fa557f732ed0fa7128bfc8870215519347be933ca48659369777873dd3'
  checksumType  = 'sha256'
  silentArgs   = '/S'
}

Install-ChocolateyPackage @packageArgs
